digiKam Developer Documentation: Digikam::RatingFilterWidget Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::RatingFilterWidget Class Reference
Inheritance diagram for Digikam::RatingFilterWidget:

## Signals
void | signalRatingFilterChanged (int, ItemFilterSettings::RatingCondition, bool)
Signals inherited from Digikam::RatingWidget
void | signalRatingChanged (int)
void | signalRatingModified (int)
| Not managed by tracking properties.

## Public Member Functions
| RatingFilterWidget (QWidget *const parent)
bool | isUnratedItemsExcluded ()
ItemFilterSettings::RatingCondition | ratingFilterCondition ()
void | setExcludeUnratedItems (bool excluded)
void | setRatingFilterCondition (ItemFilterSettings::RatingCondition cond)
Public Member Functions inherited from Digikam::RatingWidget
| RatingWidget (QWidget *const parent)
bool | hasFading () const
bool | hasTracking () const
int | maximumVisibleWidth () const
int | rating () const
void | setFading (bool fading)
void | setRating (int val)
void | setTracking (bool tracking)
void | setVisible (bool visible) override
void | setVisibleImmediately ()
void | startFading ()
void | stopFading ()

## Protected Member Functions
void | mouseMoveEvent (QMouseEvent *) override
void | mousePressEvent (QMouseEvent *) override
void | mouseReleaseEvent (QMouseEvent *) override
Protected Member Functions inherited from Digikam::RatingWidget
void | applyFading (QPixmap &pix)
void | mouseMoveEvent (QMouseEvent *) override
void | mousePressEvent (QMouseEvent *) override
void | mouseReleaseEvent (QMouseEvent *) override
void | paintEvent (QPaintEvent *) override
void | regeneratePixmaps ()
int | regPixmapWidth () const
void | setupTimeLine ()
QPixmap | starPixmap () const
QPixmap | starPixmapDisabled () const
QPixmap | starPixmapFilled () const

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::RatingWidget
static QIcon | buildIcon (int rate, int size)
static QPolygon | starPolygon ()
| Pre-computed star polygon for a 15x15 pixmap.
Protected Slots inherited from Digikam::RatingWidget
void | setFadingValue (int value)